var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctlms.base");
const uuidv4 = require('uuid/v4');
var moment = require("moment");
var svgCaptcha = require('svg-captcha');

class InvoicecontentCtl extends CtlBase {
  constructor() {
    super();
    this.invoicecontentSve = system.getObject("service.common.invoicecontentSve");
  }

  async all(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSve.all(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }

  async list(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSve.list(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }
  
  async info(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSve.info(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }

  async save(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSve.save(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }

  async del(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSve.del(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }

}
module.exports = InvoicecontentCtl;